#include "ofApp.h"

//--------------------------------------------------------------
void ofApp::setup(){
    ofSetRectMode(OF_RECTMODE_CENTER);
    microphoneStream.setup(this, 0, 2, 44100, 256, 4);
    left=new float[256];
    right=new float[256];
}

//--------------------------------------------------------------
void ofApp::update(){

}

//--------------------------------------------------------------
void ofApp::draw(){
    for(int i=0;i<microphoneStream.getBufferSize();i++){
        //LEFT
        float leftX=ofMap(i,0,255,0,ofGetWidth()/2);
        ofSetColor(255,0,i);
        ofDrawRectangle(leftX, ofGetHeight()/2, 2, left[i]*10000);
        //RIGHT
        float rightX=ofMap(i,0,255,ofGetWidth()/2,ofGetWidth());
        ofSetColor(i,0,255);
        ofDrawRectangle(rightX, ofGetHeight()/2, 2, right[i]*10000);
    }
}


void ofApp::audioIn(float *input, int buffersize, int nChannels){
    for(int i=0; i<buffersize; i++){
        left[i]=input[i*2];
        right[i]=input[i*2+1];
    }
}



//--------------------------------------------------------------
void ofApp::keyPressed(int key){

}

//--------------------------------------------------------------
void ofApp::keyReleased(int key){

}

//--------------------------------------------------------------
void ofApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void ofApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void ofApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void ofApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void ofApp::mouseEntered(int x, int y){

}

//--------------------------------------------------------------
void ofApp::mouseExited(int x, int y){

}

//--------------------------------------------------------------
void ofApp::windowResized(int w, int h){

}

//--------------------------------------------------------------
void ofApp::gotMessage(ofMessage msg){

}

//--------------------------------------------------------------
void ofApp::dragEvent(ofDragInfo dragInfo){ 

}
